process.chdir(__dirname);
var Settings = require('./lib/settings');
var settings = new Settings();
var windowsService = require('./lib/windowsService');

var serviceName = settings.getOrDefault('windowsService.name', 'pyrusConnectResponder');
var serviceEnvName = serviceName.toUpperCase();
var retryWait = settings.getOrDefault('windowsService.retryWaitSeconds', 10);
var retryMax = settings.getOrDefault('windowsService.retryMax', 24);

var serviceInfo = {
    name: serviceName,
    description: "Black Pear clinical system responder for pyrusConnect",
    script: __filename,
    wait: retryWait,
    grow: 0,
    maxRestarts: retryMax,
    env: {
        name: serviceEnvName,
        value: "AUTO"
    },
    flags: "--no-deprecation"
};

if (!windowsService.installMode(serviceInfo)) {
    var responder = require('./lib/clinicalLibraryResponder');
    responder(serviceEnvName, settings);
}

