# fhir-assertions
Library of assertions and array functions for manipulating bundles of HL7 FHIR resources

## Assertions
### coding
#### coding.includesCode
Returns function that returns true if the coding includes the code.

#### coding.includesCodeFromSet
Returns function that returns true if the coding includes at least one code from the set.

### entry
#### entry.isResourceType
Returns function that returns true if the entry matches the resourceType

#### entry.hasEffectiveDate
Returns function that returns true if the entry date matches the date

### patient

### object
Returns function that returns true if the object has a value.


## Array functions
### filter
Array filter functions

#### all
Returns function that returns true when item matches all assertions

#### none
Returns function that returns true when item matches no assertions

#### some
Returns function that returns true when item matches at least one assertion

### sort
Array sort functions

#### date
Returns an array sort function to sort entries by date

### reduce
Array reduce functions

#### latest
Returns an array reduce function creating an array containing only the most recent coded entry for each code







 
